### Method

# GLib BookmarkFile load_from_data_dirs

since: 2.12

#### Declaration

    gboolean
    g_bookmark_file_load_from_data_dirs (
      GBookmarkFile* bookmark,
      const gchar* file,
      gchar** full_path,
      GError** error
    )

#### Description

This function looks for a desktop bookmark file named `file` in the paths returned from `g_get_user_data_dir()` and g_get_system_data_dirs(), loads the file into `bookmark` and returns the file’s full path in `full_path`. If the file could not be loaded then `error` is set to either a `GFileError` or `GBookmarkFileError`.

Available since: 2.12

#### Parameters

`file`

  Type: `const gchar*`

  A relative path to a filename to open and parse.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`full_path`

  Type: `gchar**`

  Return location for a string containing the full path of the file, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if a key file could be loaded, `FALSE` otherwise.